Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Class mxn.Event

Defined in: mxn.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn.Event(sEvtName, oEvtSource) Instantiates a new Event

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addHandler(fn, ctx) Add a handler to the Event.
| fire(oEvtArgs) Fires the Event.
| removeAllHandlers() Remove all handlers from the Event.
| removeHandler(fn, ctx) Remove a handler from the Event.

Class Detail
mxn.Event(sEvtName, oEvtSource)
Instantiates a new Event

Parameters:
{String} sEvtName
  The name of the event.
{Object} oEvtSource
  The source object of the event.

Method Detail
addHandler(fn, ctx)
Add a handler to the Event.

Parameters:
{Function} fn
  The handler function.
{Object} ctx
  The context of the handler function.

fire(oEvtArgs)
Fires the Event.

Parameters:
{Object} oEvtArgs
  Event arguments object to be passed to the handlers.

removeAllHandlers()
Remove all handlers from the Event.

removeHandler(fn, ctx)
Remove a handler from the Event.

Parameters:
{Function} fn
  The handler function.
{Object} ctx
  The context of the handler function.

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:52 GMT+0100 (BST)